Package com.usatiuk.dhfs.jkleppmanntree

# Record Class JKleppmannTreePeriodicPushOp

java.lang.Object
java.lang.Record
com.usatiuk.dhfs.jkleppmanntree.JKleppmannTreePeriodicPushOp

All Implemented Interfaces:
  `Op`, `Serializable`

public record JKleppmannTreePeriodicPushOp(JObjectKey treeName, PeerId from, long timestamp) extends Record implements Op, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JKleppmannTreePeriodicPushOp(JObjectKey treeName, PeerId from, long timestamp)`
Creates an instance of a `JKleppmannTreePeriodicPushOp` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`PeerId`
`from()`
Returns the value of the `from` record component.
`Collection<JObjectKey>`
`getEscapedRefs()`
`final int`
`hashCode()`
Returns a hash code value for this object.
`long`
`timestamp()`
Returns the value of the `timestamp` record component.
`final String`
`toString()`
Returns a string representation of this record class.
`JObjectKey`
`treeName()`
Returns the value of the `treeName` record component.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JKleppmannTreePeriodicPushOp

public JKleppmannTreePeriodicPushOp(JObjectKey treeName, PeerId from, long timestamp)
Creates an instance of a `JKleppmannTreePeriodicPushOp` record class.

Parameters:
  `treeName` - the value for the `treeName` record component
  `from` - the value for the `from` record component
  `timestamp` - the value for the `timestamp` record component

## Method Details

### getEscapedRefs

public Collection<JObjectKey> getEscapedRefs()

Specified by:
  `getEscapedRefs` in interface `Op`

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### treeName

public JObjectKey treeName()
Returns the value of the `treeName` record component.

Returns:
  the value of the `treeName` record component

### from

public PeerId from()
Returns the value of the `from` record component.

Returns:
  the value of the `from` record component

### timestamp

public long timestamp()
Returns the value of the `timestamp` record component.

Returns:
  the value of the `timestamp` record component